Bug 714094 - RFE: support removing metadata from repodata
Summary: RFE: support removing metadata from repodata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: createrepo
Version: 6.1
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 713747
Blocks: 563609
TreeView+ depends on / blocked
 
Reported: 2011-06-17 10:56 UTC by Daniel Mach
Modified: 2014-01-21 23:18 UTC (History)
7 users (show)

Fixed In Version: createrepo-0.9.9-13.el6
Doc Type: Enhancement
Doc Text:
Clone Of: 713747
: 853960 (view as bug list)
Environment:
Last Closed: 2013-02-21 08:42:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0328 normal SHIPPED_LIVE createrepo bug fix and enhancement update 2013-02-20 20:54:31 UTC

Description Daniel Mach 2011-06-17 10:56:17 UTC
+++ This bug was initially created as a clone of Bug #713747 +++

We need to be able to remove metadata from repodata using modifyrepo.
I wrote a patch that does it (user has to provide --remove option).

It also fixes updating existing metadata; original behaviour:
- file already exists in repodata
- a file with different checksum is added there (has the same mdtype)
- the original file is *not* removed, new file is added; repodata points to the new file

Now the old file is correctly removed from repodata dir.


Could you also backport this to el6 and el5?
(not sure if it is possible, but can't modifyrepo be used as is in el5?)

--- Additional comment from dmach@redhat.com on 2011-06-16 09:15:04 EDT ---

Created attachment 505037 [details]
remove metadata patch

Comment 2 James Antill 2011-06-17 14:08:15 UTC
Assuming this gets upstream, I'm happy to put it in RHEL-6.

Comment 4 RHEL Product and Program Management 2011-07-29 05:48:26 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 9 Suzanne Yeghiayan 2012-01-31 21:16:15 UTC
This request was evaluated by Red Hat Product Management for inclusion in the
current release of Red Hat Enterprise Linux. Because the affected component is
not scheduled to be updated in the current release, Red Hat is unfortunately
unable to address this request at this time.  It has been proposed for the next
release. If you would like it considered as an exception in the current
release, please ask your support representative.

Comment 10 RHEL Product and Program Management 2012-07-10 07:39:27 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 11 RHEL Product and Program Management 2012-07-10 23:10:58 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 16 errata-xmlrpc 2013-02-21 08:42:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0328.html


Note You need to log in before you can comment on or make changes to this bug.